> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.insurgateway.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.insurgateway.com/_mcp/server.

# Usings

GET https://testgatewayapi.insurapps.net/api/DynamicProducts/{productId}/usings

# Ürün Kullanımları (Usings)

Verilen dinamik ürünün teslim formunda kullanılan servis operasyonlarını, bunların key'lerini ve ilişkili parametrelerini servis operasyonu bazında gruplanmış olarak döner.

## Uç Nokta (Endpoint)

`GET {{baseUrl}}/api/DynamicProducts/{productId}/usings`

## Kimlik Doğrulama

Üst koleksiyondan miras alınan **Bearer Token** kullanılır; token `{{authToken}}` değişkeninden çözümlenir ve ilgili rolde **Read** yetkisi gerektirir.

## Path Parametreleri

| Parametre | Tip     | Zorunlu | Açıklama                                                          |
| --------- | ------- | ------- | ----------------------------------------------------------------- |
| productId | integer | ✅       | Dinamik ürünün Id'si. (Rota kısıtı `:int` — sayısal değilse 404.) |

## Sorgu Parametreleri

Yok.

## Örnek İstek

```
GET {{baseUrl}}/api/DynamicProducts/100/usings

```

## Yanıt Yapısı

### Başarılı Yanıt (200 OK)

Yanıt, servis operasyonu bazında gruplanmış üst seviye bir **dizidir** (sayfalama zarfı yoktur).

```json
[
    {
        "ServiceOperation": "GetProposal",
        "Keys": [
            {
                "KeyId": 1,
                "KeyName": "Sigortalı TC Kimlik No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 2,
                "KeyName": "Sigortalı Vergi Kimlik No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 3,
                "KeyName": "Sigortalı Türü",
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            },
            {
                "KeyId": 4,
                "KeyName": "Plaka İl Kodu",
                "ParameterId": 2,
                "ParameterName": "İller"
            },
            {
                "KeyId": 5,
                "KeyName": "Plaka",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 10,
                "KeyName": "Ses Sistemi Markası",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 11,
                "KeyName": "Ses Sistemi Bedeli",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 12,
                "KeyName": "Görüntü Sistemi Markası",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 13,
                "KeyName": "Görüntü Sistemi Bedeli",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 15,
                "KeyName": "Ek Aksesuar Açıklama",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 16,
                "KeyName": "Ek Aksesuar Bedeli",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 17,
                "KeyName": "IMM Limiti",
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            },
            {
                "KeyId": 18,
                "KeyName": "FK Limiti",
                "ParameterId": 5,
                "ParameterName": "FK Limitleri"
            },
            {
                "KeyId": 23,
                "KeyName": "Araç Marka Kodu",
                "ParameterId": 150,
                "ParameterName": "Kiralik Araç Süresi"
            },
            {
                "KeyId": 24,
                "KeyName": "Araç Tip Kodu",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 25,
                "KeyName": "Araç Model Yılı",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 26,
                "KeyName": "Araç Motor No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 27,
                "KeyName": "Araç Şasi No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 28,
                "KeyName": "Sigortalı Mesleği",
                "ParameterId": 19,
                "ParameterName": "Kasko Meslek"
            },
            {
                "KeyId": 36,
                "KeyName": "Araç LPG Bedeli",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 37,
                "KeyName": "Plakasiz Araç Mı",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 38,
                "KeyName": "Araç Kullanım Şekli",
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            },
            {
                "KeyId": 39,
                "KeyName": "Araç Alt Kullanım Şekli",
                "ParameterId": 9,
                "ParameterName": "Araç Alt Kullanım Şekli"
            },
            {
                "KeyId": 42,
                "KeyName": "Araç Kullanım Türü",
                "ParameterId": 9,
                "ParameterName": "Araç Alt Kullanım Şekli"
            },
            {
                "KeyId": 49,
                "KeyName": "Onarım Yapılacak Servis Türü",
                "ParameterId": 12,
                "ParameterName": "Onarım Yapılacak Servis Türü"
            },
            {
                "KeyId": 70,
                "KeyName": "Sigorta Ettiren TC Kimlik No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 71,
                "KeyName": "Sigorta Ettiren Vergi Kimlik No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 72,
                "KeyName": "Sigorta Ettiren Türü (Gerçek/Tüzel)",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 83,
                "KeyName": "Sigorta Ettiren Telefon Alan Kodu",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 84,
                "KeyName": "Sigorta Ettiren Telefon No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 88,
                "KeyName": "Sigortalı Telefon Alan Kodu",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 89,
                "KeyName": "Sigortalı Telefon No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 100,
                "KeyName": "Tescil Seri No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 104,
                "KeyName": "Kasa Dahil Mi",
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "KeyId": 113,
                "KeyName": "Acente ID",
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            },
            {
                "KeyId": 116,
                "KeyName": "Dain-i Mürtehin Var Mı",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 118,
                "KeyName": "Dain-i Mürtehin Bankası",
                "ParameterId": 20,
                "ParameterName": "Dain-i Mürtehin Bankalar"
            },
            {
                "KeyId": 119,
                "KeyName": "Dain-i Mürtehin Banka Şubesi",
                "ParameterId": 21,
                "ParameterName": "Dain-i Mürtehin Banka Şubeleri"
            },
            {
                "KeyId": 120,
                "KeyName": "Dain-i Mürtehin Finans Kurumu",
                "ParameterId": 22,
                "ParameterName": "Dain-i Mürtehin Finans Kurumları"
            },
            {
                "KeyId": 123,
                "KeyName": "Araç Toplam Koltuk Sayısı",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 124,
                "KeyName": "Kiralık Araç Mı",
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "KeyId": 250,
                "KeyName": "Sigortalı Doğum Tarihi",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 271,
                "KeyName": "Faaliyet Kodu",
                "ParameterId": 79,
                "ParameterName": "Faaliyet Kodu"
            },
            {
                "KeyId": 314,
                "KeyName": "Yenileme No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 315,
                "KeyName": "Zeyil No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 324,
                "KeyName": "Teknik Kişi Sicil No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 406,
                "KeyName": "Sigorta Ettiren Doğum Tarihi",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 435,
                "KeyName": "Manevi Tazminat Uygulansın Mı?",
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "KeyId": 568,
                "KeyName": "Kiralik Araç Süresi",
                "ParameterId": 150,
                "ParameterName": "Kiralik Araç Süresi"
            },
            {
                "KeyId": 570,
                "KeyName": "Cam kırılma muafiyeti var mı?",
                "ParameterId": 119,
                "ParameterName": "Var Yok Seçimi"
            },
            {
                "KeyId": 1239,
                "KeyName": "Eski Plaka No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 1399,
                "KeyName": "Artı Teminat İsteniyor Mu?",
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "KeyId": 1418,
                "KeyName": "Sompo Kasko Meslek Listesi",
                "ParameterId": 409,
                "ParameterName": "Sompo Kasko Meslek Listesi"
            },
            {
                "KeyId": 1431,
                "KeyName": "Dijital Kanal Mı",
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "KeyId": 1596,
                "KeyName": "Manevi Tazminat",
                "ParameterId": 476,
                "ParameterName": "Manevi Tazminat"
            },
            {
                "KeyId": 5186,
                "KeyName": "Araç Segment",
                "ParameterId": 150,
                "ParameterName": "Kiralik Araç Süresi"
            },
            {
                "KeyId": 5241,
                "KeyName": "Parent ID",
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            }
        ],
        "Parameters": [
            {
                "ParameterId": 1,
                "ParameterName": "Evet Hayır Seçimi"
            },
            {
                "ParameterId": 2,
                "ParameterName": "İller"
            },
            {
                "ParameterId": 4,
                "ParameterName": "IMM Limitleri"
            },
            {
                "ParameterId": 5,
                "ParameterName": "FK Limitleri"
            },
            {
                "ParameterId": 9,
                "ParameterName": "Araç Alt Kullanım Şekli"
            },
            {
                "ParameterId": 12,
                "ParameterName": "Onarım Yapılacak Servis Türü"
            },
            {
                "ParameterId": 19,
                "ParameterName": "Kasko Meslek"
            },
            {
                "ParameterId": 20,
                "ParameterName": "Dain-i Mürtehin Bankalar"
            },
            {
                "ParameterId": 21,
                "ParameterName": "Dain-i Mürtehin Banka Şubeleri"
            },
            {
                "ParameterId": 22,
                "ParameterName": "Dain-i Mürtehin Finans Kurumları"
            },
            {
                "ParameterId": 79,
                "ParameterName": "Faaliyet Kodu"
            },
            {
                "ParameterId": 119,
                "ParameterName": "Var Yok Seçimi"
            },
            {
                "ParameterId": 150,
                "ParameterName": "Kiralik Araç Süresi"
            },
            {
                "ParameterId": 409,
                "ParameterName": "Sompo Kasko Meslek Listesi"
            },
            {
                "ParameterId": 476,
                "ParameterName": "Manevi Tazminat"
            }
        ]
    },
    {
        "ServiceOperation": "GetPolicyV2",
        "Keys": [
            {
                "KeyId": 59,
                "KeyName": "Ödeme Türü",
                "ParameterId": 14,
                "ParameterName": "Ödeme Seçenekleri"
            },
            {
                "KeyId": 60,
                "KeyName": "Kredi Kart Numarası",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 61,
                "KeyName": "Kredi Kart Güvenlik Numarası",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 64,
                "KeyName": "Kredi Kart Son Geçerlilik Ay",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 65,
                "KeyName": "Kredi Kart Son Geçerlilik Yıl",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 66,
                "KeyName": "Taksit Sayısı",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 127,
                "KeyName": "Ürün",
                "ParameterId": 27,
                "ParameterName": "Ürünler"
            },
            {
                "KeyId": 313,
                "KeyName": "Banka Kodu",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 361,
                "KeyName": "Hesap SubeKodu",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 369,
                "KeyName": "Kredi Kart Ad Soyad",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 507,
                "KeyName": "Hesap No",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 513,
                "KeyName": "Hesap Sahibi Ad Soyad",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 980,
                "KeyName": " Ödeme Geçidi Mi & İlk 6&8 Son 4 mü?",
                "ParameterId": null,
                "ParameterName": null
            },
            {
                "KeyId": 1525,
                "KeyName": "Payload",
                "ParameterId": null,
                "ParameterName": null
            }
        ],
        "Parameters": [
            {
                "ParameterId": 14,
                "ParameterName": "Ödeme Seçenekleri"
            },
            {
                "ParameterId": 27,
                "ParameterName": "Ürünler"
            }
        ]
    }
]

```

**Dizi elemanı (servis operasyonu grubu):**

| Alan             | Tip    | Açıklama                                                                                                |
| ---------------- | ------ | ------------------------------------------------------------------------------------------------------- |
| ServiceOperation | string | Servis operasyonu adı (gruplama anahtarı).                                                              |
| Keys             | array  | Bu operasyonda kullanılan key'ler (KeyId'ye göre sıralı).                                               |
| Parameters       | array  | Operasyona bağlı, tekilleştirilmiş parametreler (yalnızca ParameterId > 0; ParameterId'ye göre sıralı). |

**Keys elemanı:**

| Alan          | Tip            | Açıklama                                                                     |
| ------------- | -------------- | ---------------------------------------------------------------------------- |
| KeyId         | integer / null | Key Id.                                                                      |
| KeyName       | string         | Key adı.                                                                     |
| ParameterId   | integer / null | İlişkili parametre Id (yoksa 0 veya null).                                   |
| ParameterName | string / null  | Parametre adı. Boşsa aynı ParameterId için dolu olan ilk değerle doldurulur. |

**Parameters elemanı:**

| Alan          | Tip     | Açıklama       |
| ------------- | ------- | -------------- |
| ParameterId   | integer | Parametre Id.  |
| ParameterName | string  | Parametre adı. |

> Not: Ürünün kullanımı yoksa boş dizi (`[]`) döner.

## Hata Yanıtları

**400 Bad Request** — `[HandleException]` filtresi tüm hataları düz metne (`text/plain`) çevirir.

```
İşlem sırasında bir hata oluştu! RequestId: 0HN1GPVL2F3Q0:00000008, LogId: c4d5e6f7a8b9

```

| Durum Kodu       | Gövde | Açıklama                                                               |
| ---------------- | ----- | ---------------------------------------------------------------------- |
| 401 Unauthorized | (boş) | Token yok / geçersiz / süresi dolmuş.                                  |
| 403 Forbidden    | (boş) | Rol bu uç için Read yetkisine sahip değil veya IP beyaz listede değil. |

Reference: https://docs.insurgateway.com/insurgateway-api/dynamic-products/usings

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://testgatewayapi.insurapps.net` (https://testgatewayapi.insurapps.net, default)
- `https://gatewayapi.insurapps.net` (https://gatewayapi.insurapps.net)

## Request

### Path parameters

- `productId` (integer, required)

### Headers

- `Accept` (string, optional)

## Response

### 200

OK

## Examples

**Response**

```json
[
  {
    "ServiceOperation": "GetProposal",
    "Keys": [
      {
        "KeyId": 1,
        "KeyName": "Sigortalı TC Kimlik No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 2,
        "KeyName": "Sigortalı Vergi Kimlik No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 3,
        "KeyName": "Sigortalı Türü",
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      },
      {
        "KeyId": 4,
        "KeyName": "Plaka İl Kodu",
        "ParameterId": 2,
        "ParameterName": "İller"
      },
      {
        "KeyId": 5,
        "KeyName": "Plaka",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 10,
        "KeyName": "Ses Sistemi Markası",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 11,
        "KeyName": "Ses Sistemi Bedeli",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 12,
        "KeyName": "Görüntü Sistemi Markası",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 13,
        "KeyName": "Görüntü Sistemi Bedeli",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 15,
        "KeyName": "Ek Aksesuar Açıklama",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 16,
        "KeyName": "Ek Aksesuar Bedeli",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 17,
        "KeyName": "IMM Limiti",
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      },
      {
        "KeyId": 18,
        "KeyName": "FK Limiti",
        "ParameterId": 5,
        "ParameterName": "FK Limitleri"
      },
      {
        "KeyId": 23,
        "KeyName": "Araç Marka Kodu",
        "ParameterId": 150,
        "ParameterName": "Kiralik Araç Süresi"
      },
      {
        "KeyId": 24,
        "KeyName": "Araç Tip Kodu",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 25,
        "KeyName": "Araç Model Yılı",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 26,
        "KeyName": "Araç Motor No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 27,
        "KeyName": "Araç Şasi No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 28,
        "KeyName": "Sigortalı Mesleği",
        "ParameterId": 19,
        "ParameterName": "Kasko Meslek"
      },
      {
        "KeyId": 36,
        "KeyName": "Araç LPG Bedeli",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 37,
        "KeyName": "Plakasiz Araç Mı",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 38,
        "KeyName": "Araç Kullanım Şekli",
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      },
      {
        "KeyId": 39,
        "KeyName": "Araç Alt Kullanım Şekli",
        "ParameterId": 9,
        "ParameterName": "Araç Alt Kullanım Şekli"
      },
      {
        "KeyId": 42,
        "KeyName": "Araç Kullanım Türü",
        "ParameterId": 9,
        "ParameterName": "Araç Alt Kullanım Şekli"
      },
      {
        "KeyId": 49,
        "KeyName": "Onarım Yapılacak Servis Türü",
        "ParameterId": 12,
        "ParameterName": "Onarım Yapılacak Servis Türü"
      },
      {
        "KeyId": 70,
        "KeyName": "Sigorta Ettiren TC Kimlik No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 71,
        "KeyName": "Sigorta Ettiren Vergi Kimlik No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 72,
        "KeyName": "Sigorta Ettiren Türü (Gerçek/Tüzel)",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 83,
        "KeyName": "Sigorta Ettiren Telefon Alan Kodu",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 84,
        "KeyName": "Sigorta Ettiren Telefon No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 88,
        "KeyName": "Sigortalı Telefon Alan Kodu",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 89,
        "KeyName": "Sigortalı Telefon No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 100,
        "KeyName": "Tescil Seri No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 104,
        "KeyName": "Kasa Dahil Mi",
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "KeyId": 113,
        "KeyName": "Acente ID",
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      },
      {
        "KeyId": 116,
        "KeyName": "Dain-i Mürtehin Var Mı",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 118,
        "KeyName": "Dain-i Mürtehin Bankası",
        "ParameterId": 20,
        "ParameterName": "Dain-i Mürtehin Bankalar"
      },
      {
        "KeyId": 119,
        "KeyName": "Dain-i Mürtehin Banka Şubesi",
        "ParameterId": 21,
        "ParameterName": "Dain-i Mürtehin Banka Şubeleri"
      },
      {
        "KeyId": 120,
        "KeyName": "Dain-i Mürtehin Finans Kurumu",
        "ParameterId": 22,
        "ParameterName": "Dain-i Mürtehin Finans Kurumları"
      },
      {
        "KeyId": 123,
        "KeyName": "Araç Toplam Koltuk Sayısı",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 124,
        "KeyName": "Kiralık Araç Mı",
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "KeyId": 250,
        "KeyName": "Sigortalı Doğum Tarihi",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 271,
        "KeyName": "Faaliyet Kodu",
        "ParameterId": 79,
        "ParameterName": "Faaliyet Kodu"
      },
      {
        "KeyId": 314,
        "KeyName": "Yenileme No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 315,
        "KeyName": "Zeyil No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 324,
        "KeyName": "Teknik Kişi Sicil No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 406,
        "KeyName": "Sigorta Ettiren Doğum Tarihi",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 435,
        "KeyName": "Manevi Tazminat Uygulansın Mı?",
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "KeyId": 568,
        "KeyName": "Kiralik Araç Süresi",
        "ParameterId": 150,
        "ParameterName": "Kiralik Araç Süresi"
      },
      {
        "KeyId": 570,
        "KeyName": "Cam kırılma muafiyeti var mı?",
        "ParameterId": 119,
        "ParameterName": "Var Yok Seçimi"
      },
      {
        "KeyId": 1239,
        "KeyName": "Eski Plaka No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 1399,
        "KeyName": "Artı Teminat İsteniyor Mu?",
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "KeyId": 1418,
        "KeyName": "Sompo Kasko Meslek Listesi",
        "ParameterId": 409,
        "ParameterName": "Sompo Kasko Meslek Listesi"
      },
      {
        "KeyId": 1431,
        "KeyName": "Dijital Kanal Mı",
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "KeyId": 1596,
        "KeyName": "Manevi Tazminat",
        "ParameterId": 476,
        "ParameterName": "Manevi Tazminat"
      },
      {
        "KeyId": 5186,
        "KeyName": "Araç Segment",
        "ParameterId": 150,
        "ParameterName": "Kiralik Araç Süresi"
      },
      {
        "KeyId": 5241,
        "KeyName": "Parent ID",
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      }
    ],
    "Parameters": [
      {
        "ParameterId": 1,
        "ParameterName": "Evet Hayır Seçimi"
      },
      {
        "ParameterId": 2,
        "ParameterName": "İller"
      },
      {
        "ParameterId": 4,
        "ParameterName": "IMM Limitleri"
      },
      {
        "ParameterId": 5,
        "ParameterName": "FK Limitleri"
      },
      {
        "ParameterId": 9,
        "ParameterName": "Araç Alt Kullanım Şekli"
      },
      {
        "ParameterId": 12,
        "ParameterName": "Onarım Yapılacak Servis Türü"
      },
      {
        "ParameterId": 19,
        "ParameterName": "Kasko Meslek"
      },
      {
        "ParameterId": 20,
        "ParameterName": "Dain-i Mürtehin Bankalar"
      },
      {
        "ParameterId": 21,
        "ParameterName": "Dain-i Mürtehin Banka Şubeleri"
      },
      {
        "ParameterId": 22,
        "ParameterName": "Dain-i Mürtehin Finans Kurumları"
      },
      {
        "ParameterId": 79,
        "ParameterName": "Faaliyet Kodu"
      },
      {
        "ParameterId": 119,
        "ParameterName": "Var Yok Seçimi"
      },
      {
        "ParameterId": 150,
        "ParameterName": "Kiralik Araç Süresi"
      },
      {
        "ParameterId": 409,
        "ParameterName": "Sompo Kasko Meslek Listesi"
      },
      {
        "ParameterId": 476,
        "ParameterName": "Manevi Tazminat"
      }
    ]
  },
  {
    "ServiceOperation": "GetPolicyV2",
    "Keys": [
      {
        "KeyId": 59,
        "KeyName": "Ödeme Türü",
        "ParameterId": 14,
        "ParameterName": "Ödeme Seçenekleri"
      },
      {
        "KeyId": 60,
        "KeyName": "Kredi Kart Numarası",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 61,
        "KeyName": "Kredi Kart Güvenlik Numarası",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 64,
        "KeyName": "Kredi Kart Son Geçerlilik Ay",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 65,
        "KeyName": "Kredi Kart Son Geçerlilik Yıl",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 66,
        "KeyName": "Taksit Sayısı",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 127,
        "KeyName": "Ürün",
        "ParameterId": 27,
        "ParameterName": "Ürünler"
      },
      {
        "KeyId": 313,
        "KeyName": "Banka Kodu",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 361,
        "KeyName": "Hesap SubeKodu",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 369,
        "KeyName": "Kredi Kart Ad Soyad",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 507,
        "KeyName": "Hesap No",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 513,
        "KeyName": "Hesap Sahibi Ad Soyad",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 980,
        "KeyName": " Ödeme Geçidi Mi & İlk 6&8 Son 4 mü?",
        "ParameterId": null,
        "ParameterName": null
      },
      {
        "KeyId": 1525,
        "KeyName": "Payload",
        "ParameterId": null,
        "ParameterName": null
      }
    ],
    "Parameters": [
      {
        "ParameterId": 14,
        "ParameterName": "Ödeme Seçenekleri"
      },
      {
        "ParameterId": 27,
        "ParameterName": "Ürünler"
      }
    ]
  }
]
```

**SDK Code**

```python Dynamic Products_usings_example
import requests

url = "https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Dynamic Products_usings_example
const url = 'https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Dynamic Products_usings_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Dynamic Products_usings_example
require 'uri'
require 'net/http'

url = URI("https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Dynamic Products_usings_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings")
  .header("Accept", "application/json")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Dynamic Products_usings_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings', [
  'headers' => [
    'Accept' => 'application/json',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Dynamic Products_usings_example
using RestSharp;

var client = new RestClient("https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Dynamic Products_usings_example
import Foundation

let headers = [
  "Accept": "application/json",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://testgatewayapi.insurapps.net/api/DynamicProducts/3180/usings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```